[![Build Status](https://build.robware.uk/api/badges/rob/Website/status.svg)](https://build.robware.uk/rob/Website)
# A C# rewrite of my previously PHP based website.
Old repo: https://git.robware.uk/rob/Robware

My old repo was my attempt at an MVC framework. While I learned a lot about how to make an MVC framework, it was quite a pain to keep up. Now I'm using .NET Core ASP MVC. I much prefer C# and the whole thing is much nicer to work with.

## Changes on previous implementation:
* Not PHP
* Use markdown for blog posts instead of own rolled markup solution
* Done in about 10% of the time (ok, maybe not 10%, but much quicker)

## "Roadmap"
Ideally I'd like to:
* Replace AngularJS
* Move away from the SQL database to a document store
* Have a nicer gallery, or roll it in to the blog.
* Possibly hook in to some external services, like my home automation stuff or Strava.
* Make this a more useful platform for myself (back ends for some server management stuff, perhaps)