﻿using FluentAssertions;
using Website.Models;
using Xunit;

namespace Website.Tests.Models {
	public class UserTests {
		[Fact]
		public void ValidatePassword_WithValidSHA256Input_ReturnsTrue() {
			var user = new User {
				Password= "5e884898da28047151d0e56f8dc6292773603d0d6aabbdd62a11ef721d1542d8"
			};
			

			user.ValidatePassword("password").Should().BeTrue();
		}
	}
}